<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                Mobile Content Management System                    //
// Project site:          http://johncms.com                                  //
// Support site:          http://gazenwagen.com                               //
////////////////////////////////////////////////////////////////////////////////
// Lead Developer:        Oleg Kasyanov   (AlkatraZ)  alkatraz@gazenwagen.com //
// Development Team:      Eugene Ryabinin (john77)    john77@gazenwagen.com   //
//                        Dmitry Liseenko (FlySelf)   flyself@johncms.com     //
////////////////////////////////////////////////////////////////////////////////
*/

defined('_IN_JOHNCMS') or die('Error: restricted access');

require('../incfiles/head.php');

/*
-----------------------------------------------------------------
Удалить альбом
-----------------------------------------------------------------
*/
if ($al && $user['id'] == $user_id || $rights >= 6) {
    $req_a = mysql_query("SELECT * FROM `cms_album_cat` WHERE `id` = '$al' AND `user_id` = '" . $user['id'] . "' LIMIT 1");
    if (mysql_num_rows($req_a)) {
        $res_a = mysql_fetch_assoc($req_a);
        echo '<div class="phdr"><a href="index.php?act=list&amp;user=' . $user['id'] . '"><b>Фотоальбом</b></a> | Удалить</div>';
        if (isset($_POST['submit'])) {
            $req = mysql_query("SELECT * FROM `cms_album_files` WHERE `album_id` = '" . $res_a['id'] . "'");
            while ($res = mysql_fetch_assoc($req)) {
                // Удаляем файлы фотографий
                @unlink('uploads/' . $user['id'] . '/' . $res['img_name']);
                @unlink('uploads/' . $user['id'] . '/' . $res['tmb_name']);
                // Удаляем записи из таблицы скачиваний
                mysql_query("DELETE FROM `cms_album_downloads` WHERE `file_id` = '" . $res['id'] . "'");
                // Удаляем записи из таблицы голосований
                mysql_query("DELETE FROM `cms_album_votes` WHERE `file_id` = '" . $res['id'] . "'");
                // Удаляем комментарии
                mysql_query("DELETE FROM `cms_album_comments` WHERE `sub_id` = '" . $res['id'] . "'");
            }
            // Удаляем записи из таблиц
            mysql_query("DELETE FROM `cms_album_files` WHERE `album_id` = '" . $res_a['id'] . "'");
            mysql_query("DELETE FROM `cms_album_cat` WHERE `id` = '" . $res_a['id'] . "'");
            mysql_query("OPTIMIZE TABLE `cms_album_cat`, `cms_album_downloads`, `cms_album_votes`, `cms_album_files`, `cms_album_comments`");
            echo '<div class="menu"><p>Альбом удален<br />' .
                '<a href="index.php?act=list&amp;user=' . $user['id'] . '">Продолжить</a></p></div>';
        } else {
            echo '<div class="rmenu"><form action="index.php?act=delete&amp;al=' . $al . '&amp;user=' . $user['id'] . '" method="post">' .
                '<p>Альбом: <b>' . checkout($res_a['name']) . '</b></p>' .
                '<p>Вы действительно хотите удалить этот альбом?<br />если в нем есть фотографии, они тоже будут удалены.</p>' .
                '<p><input type="submit" name="submit" value="Удалить"/></p>' .
                '</form></div>' .
                '<div class="phdr"><a href="index.php?act=list&amp;user=' . $user['id'] . '">Отмена</a></div>';
        }
    } else {
        echo display_error('Неверные данные');
    }
}